
FarmerCommand = Turbine.ShellCommand();

------------------------------------------------------------------------------------------
-- commands
------------------------------------------------------------------------------------------
function FarmerCommand:Execute( command, arguments )

	if ( arguments == "help" ) then
		Turbine.Shell.WriteLine(Strings.PluginHelp);
------------------------------------------------------------------------------------------
--  show
------------------------------------------------------------------------------------------
	elseif ( arguments == "show" ) then
		--Turbine.Shell.WriteLine("Show the Empty Window");
		FarmerWindow:SetVisible(true);
		settings.isWindowVisible = true;
		SaveSettings();
------------------------------------------------------------------------------------------
--  hide
------------------------------------------------------------------------------------------
	elseif ( arguments == "hide" ) then
		--Turbine.Shell.WriteLine("Hide the Empty Window");
		FarmerWindow:SetVisible(false);
		settings.isWindowVisible = false;
		SaveSettings();
------------------------------------------------------------------------------------------
--  escape
------------------------------------------------------------------------------------------
	elseif ( arguments == "esc" ) then
		if(settings.escEnable == "true") then
			Turbine.Shell.WriteLine(rgb["start"] .. Strings.PluginName .. rgb["clear"] .. " - " .. Strings.PluginEscDesable);
			settings.escEnable = false;
		else
			Turbine.Shell.WriteLine(rgb["start"] .. Strings.PluginName .. rgb["clear"] .. " - " .. Strings.PluginEscEnable);
			settings.escEnable = true;
		end
		SaveSettings();
------------------------------------------------------------------------------------------
--  options
------------------------------------------------------------------------------------------
	elseif ( arguments == "options" ) then
		Turbine.Shell.WriteLine(rgb["start"] .. Strings.PluginName .. rgb["clear"] .. " - " .. Strings.PluginOptionShowWindow);
		OptionsWindow:SetVisible(true);
		settings["isOptionsWindowVisible"]["isOptionsWindowVisible"] = true;
		SaveSettings();
------------------------------------------------------------------------------------------
--  clear
------------------------------------------------------------------------------------------
	elseif ( arguments == "clear" ) then
		Turbine.Shell.WriteLine(rgb["start"] .. Strings.PluginName .. rgb["clear"] .. " - " .. Strings.PluginWindowClear);
		UpdateWindow();
		settings.shortcutData_1 = tostring("");
		settings.shortcutData_2 = tostring(""); 
		settings.shortcutData_3 = tostring(""); 
		settings.shortcutData_4 = tostring(""); 
		settings.shortcutData_5 = tostring(""); 
		settings.shortcutData_6 = tostring(""); 
		settings.shortcutData_7 = tostring(""); 
		settings.shortcutData_8 = tostring(""); 
		settings.shortcutData_9 = tostring(""); 
		settings.shortcutData_10 = tostring(""); 
		settings.itemName_1 = tostring("");
		settings.itemName_2 = tostring("");
		settings.itemName_3 = tostring("");
		settings.itemName_4 = tostring("");
		settings.itemName_5 = tostring("");
		settings.itemName_6 = tostring("");
		settings.itemName_7 = tostring("");
		settings.itemName_8 = tostring("");
		settings.itemName_9 = tostring("");
		settings.itemName_10 = tostring("");
		centerQS1:SetShortcut(Turbine.UI.Lotro.Shortcut()); 
		centerQS2:SetShortcut(Turbine.UI.Lotro.Shortcut());
		centerQS3:SetShortcut(Turbine.UI.Lotro.Shortcut());
		centerQS4:SetShortcut(Turbine.UI.Lotro.Shortcut());
		centerQS5:SetShortcut(Turbine.UI.Lotro.Shortcut());
		centerQS6:SetShortcut(Turbine.UI.Lotro.Shortcut());
		centerQS7:SetShortcut(Turbine.UI.Lotro.Shortcut());
		centerQS8:SetShortcut(Turbine.UI.Lotro.Shortcut());
		centerQS9:SetShortcut(Turbine.UI.Lotro.Shortcut());
		centerQS10:SetShortcut(Turbine.UI.Lotro.Shortcut());
		FarmerWindow.Message_1:SetText("");
		FarmerWindow.Message_1b:SetText("");
		FarmerWindow.Message_1c:SetText("");
		FarmerWindow.Message_1d:SetText("");
		FarmerWindow.Message_2:SetText("");
		FarmerWindow.Message_2b:SetText("");
		FarmerWindow.Message_2c:SetText("");
		FarmerWindow.Message_2d:SetText("");
		FarmerWindow.Message_3:SetText("");
		FarmerWindow.Message_3b:SetText("");
		FarmerWindow.Message_3c:SetText("");
		FarmerWindow.Message_3d:SetText("");
		FarmerWindow.Message_4:SetText("");
		FarmerWindow.Message_4b:SetText("");
		FarmerWindow.Message_4c:SetText("");
		FarmerWindow.Message_4d:SetText("");
		FarmerWindow.Message_5:SetText("");
		FarmerWindow.Message_5b:SetText("");
		FarmerWindow.Message_5c:SetText("");
		FarmerWindow.Message_5d:SetText("");
		FarmerWindow.Message_6:SetText("");
		FarmerWindow.Message_6b:SetText("");
		FarmerWindow.Message_6c:SetText("");
		FarmerWindow.Message_6d:SetText("");
		FarmerWindow.Message_7:SetText("");
		FarmerWindow.Message_7b:SetText("");
		FarmerWindow.Message_7c:SetText("");
		FarmerWindow.Message_7d:SetText("");
		FarmerWindow.Message_8:SetText("");
		FarmerWindow.Message_8b:SetText("");
		FarmerWindow.Message_8c:SetText("");
		FarmerWindow.Message_8d:SetText("");
		FarmerWindow.Message_9:SetText("");
		FarmerWindow.Message_9b:SetText("");
		FarmerWindow.Message_9c:SetText("");
		FarmerWindow.Message_9d:SetText("");
		FarmerWindow.Message_10:SetText("");
		FarmerWindow.Message_10b:SetText("");
		FarmerWindow.Message_10c:SetText("");
		FarmerWindow.Message_10d:SetText("");
		SaveSettings();
	end
end

Turbine.Shell.AddCommand( "Fa;Farmer", FarmerCommand );

